Thread Rating:
  • 3 Vote(s) - 3.67 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[For 1.6] EzIRC for MyBB
#71
I didn't quite understand the README, so;
I'm very new at adding pluggins to MyBB, so please, be patient with me. I uploaded the inc folder, and the chat.php to /public_html/inc/plugins. Did I do something wrong there? Also, I'm not quite sure what to change the $forumdir to. Right now it is $forumdir = "/public_html"/inc/plugins;

I get a few errors when I go to my plugins in my ACP, this being one of them.
Fatal error: require_once() [function.require]: Failed opening required './/global.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/a1597990/public_html/inc/plugins/chat.php on line 45
Reply
#72
@arin:
Upload the folder "inc" and the file "chat.php" to your forum root folder.

Before that, change $forumdir in the chat.php file, for me I just removed the "/" ( like this:

$forumdir = ""; )

Next,after uploading all files, you can use the existing chat room or create your own
I will help the community as much I can Blush
Reply
#73
I apologize, I can be a slow learner at times. Is the forum root folder /public_html?
Putting it just into the /public_html folder returns this error when I go to look at plugins:
Warning [2] Division by zero - Line: 11 - File: inc/plugins/chat.php PHP 5.2.17 (Linux)
File Line Function
/inc/plugins/chat.php 11 errorHandler->error
/admin/modules/config/plugins.php 477 require_once
/admin/index.php 488 require
Warning [2] Division by zero - Line: 11 - File: inc/plugins/chat.php PHP 5.2.17 (Linux)
File Line Function
/inc/plugins/chat.php 11 errorHandler->error
/admin/modules/config/plugins.php 477 require_once
/admin/index.php 488 require
Warning [2] require_once(.//global.php) [function.require-once]: failed to open stream: No such file or directory - Line: 45 - File: inc/plugins/chat.php PHP 5.2.17 (Linux)
File Line Function
/inc/plugins/chat.php 45 errorHandler->error
/inc/plugins/chat.php 45 require_once
/admin/modules/config/plugins.php 477 require_once
/admin/index.php 488 require

PHP Error Message

Fatal error: require_once() [function.require]: Failed opening required './/global.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/a1597990/public_html/inc/plugins/chat.php on line 45
Reply
#74
Line 11 is the line with

$forumdir = "/";

You evidently messed something up when you changed it (or you didn't change it). The rest of the errors stem from that.

(Yes, the root folder would be /public_html.)
Like to code? Want to learn how? CodeGeekBBS.
Reply
#75
Alright, I'll test this out in a second, thank you.

What exactly is $forumdir ._.?
When I go to my site/chat.php what shows up is; $forumdir is invalid!
Reply
#76
$forumdir is the directory your forum is in. If it's in the root of your site, it's "/". If it's somewhere else, the program has to know where that is, and it knows by using the variable $forumdir as the root location of the forum.
Like to code? Want to learn how? CodeGeekBBS.
Reply
#77
Hmm.. When I put the files into FileZilla, I put them in /public_html. I changed the $forumdir to $forumdir = "/public_html;, and now I get this error when I go to mysite.com/chat.php

Parse error: syntax error, unexpected T_STRING in /home/a1597990/public_html/chat.php on line 16
Reply
#78
Can I get an estimate on when we're going to be getting the "public" or "guests can view also" feature? I'm trying to start up a community, and y'know, I'd like for my site to be as public as possible. :3

Not trying to tell you guys to rush it, just wonderin'.

Thx in advance bro's, keep up the amazing work!

Reply
#79
How can I set custom port number? How to specify server password?
Reply
#80
Mibbit Settings Hash, where is it?
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)